## systemdgenie-0.99.0-6.src.tar.gz

=== CMakeLists.txt ===
project(SYSTEMD-GENIE)
set(PROJECT_VERSION "0.99.0")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.15.0")

# Silence a warning
cmake_policy(SET CMP0063 NEW)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
             DBus
             Gui
             Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
             Auth
             CoreAddons
             Crash
             I18n
             XmlGui)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(CheckIncludeFiles)

add_definitions(-DQT_NO_CAST_FROM_ASCII
                -DQT_NO_URL_CAST_FROM_STRING)

include(ECMSetupVersion)
ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX SYSTEMDGENIE
                  VERSION_HEADER "systemdgenie_version.h")

find_package(PkgConfig REQUIRED)
pkg_check_modules(SYSTEMD "systemd>=209" REQUIRED)
pkg_check_modules(JOURNALD "libsystemd>=209" REQUIRED)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions")

# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

add_definitions(-DTRANSLATION_DOMAIN=\"systemdgenie\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
)

add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(helper)

set(systemdgenie_SRCS main.cpp
                      mainwindow.cpp
                      unitmodel.cpp
                      sortfilterunitmodel.cpp)

include_directories (${CMAKE_CURRENT_BINARY_DIR}/src)

ki18n_wrap_ui(systemdgenie_SRCS mainwindow.ui)

add_executable(systemdgenie ${systemdgenie_SRCS})
target_link_libraries(systemdgenie
                      KF5::Auth
                      KF5::CoreAddons
                      KF5::Crash
                      KF5::I18n
                      KF5::XmlGui
                      ${JOURNALD_LIBRARIES})
install(TARGETS systemdgenie ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES systemdgenieui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/systemdgenie)
install(FILES org.kde.systemdgenie.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/helper/CMakeLists.txt ===
# Build & Link
add_executable(systemdgeniehelper helper.cpp)
target_link_libraries(systemdgeniehelper Qt5::DBus KF5::Auth)

# Install
install(TARGETS systemdgeniehelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(systemdgeniehelper org.kde.kcontrol.systemdgenie root)
kauth_install_actions(org.kde.kcontrol.systemdgenie systemdgenie.actions)

=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>

pkgname=systemdgenie
pkgver=0.99.0
pkgrel=6
pkgdesc='Systemd management utility'
arch=(x86_64)
url='https://invent.kde.org/system/systemdgenie'
license=(GPL)
depends=(gcc-libs
         glibc
         kauth5
         kconfigwidgets5
         kcoreaddons5
         kcrash5
         ki18n5
         kwidgetsaddons5
         kxmlgui5
         qt5-base
         systemd)
makedepends=(extra-cmake-modules)
source=(https://download.kde.org/unstable/$pkgname/$pkgname-$pkgver.tar.xz)
sha256sums=('22ebd9d6da7f03399603e21e3e21d69cbe87ec49695d12a15e9dda6b23703f25')

build() {
  cmake -B build -S $pkgname-$pkgver \
   -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
